import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';

import { SaleOrder } from "../../odoo/models/sale.order";
import { SaleOrderLine } from "../../odoo/models/sale.order.line";
import { BaseDetailsView } from "../../base/base-details-view";

@Component({
    selector: 'page-order',
    templateUrl: 'order.html'
})
export class OrderPage extends BaseDetailsView<SaleOrder> {

    constructor(
        public navCtrl: NavController,
        public navParams: NavParams
    ) { 
        super(SaleOrder, navParams.data.item);
        console.log(navParams.data);
        
        super.setTitle(super.itemExists() ? "Editar Presupuesto" : "Nuevo Presupuesto");
    }

    /**
     * 
     */
    ionViewDidLoad() {
        console.log('ionViewDidLoad OrderPage');
    }
}
